
<h1>Position <em>in <%= @position.security %></em> </h1>

<%= render :partial=>'portrait/smart_links', locals: { :item_to_portrait=>@position.security, :shown_is=>:position} %>

<% if @position.is_closed? %>
  <p><%= @position.comment %></p>
<% else %>
  <br/>
  <%= form_tag :patch_position, :method=>:POST do %>
    <%= hidden_field_tag :id, @position.id %>
    <%= text_field_tag :comment, @position.comment, :size=>50, :placeholder=>'Whats the point of holding it? Until when?' %>
    <% if @position.comment %>
     <%= submit_tag 'Update Comment' %>
    <% else %>
     <%= submit_tag 'Set Comment' %>
    <% end %>
  <% end %>
  <br/>

   <% if params[:add_document] %>
       <%= render :partial=>'documents/upload_form', locals: { :id=>@position.id, :assign_to=>:position } %>
   <% end %>
  <br/>
<% end %>

<%= if @dividend
  render :partial=>'cashflow/dividend_form', :locals=>{:dividend=>@dividend, :smr_position=>@position}
end %>

<h2>Overview</h2>
<% if @position.is_closed? and not @position.is_viewed_before_closure? %>
    <p>Position has been settled on <%= @position.time_closed %>.</p>
    <div id="overview">
     <div><div>
       <%= render :partial=>'overview_gain', :locals=>{:smr_position=>@position} %>
     </div></div>
    </div>
<% elsif @position.is_new? %>
    <p>This position is new. You may order something or just close it.</p>
<% else %>
    <p>
    Position is open and <%= if @position.is_short? then 'short by' else 'holds' end %> <%=smr_humanize @position.shares%> shares,
    <%= if @position.is_short? then 'sold' else 'purchased' end %> at average price of <%=smr_humanize @position.cost_price%> <%=@position.currency%> per share.

    <% ai = @position.accrued_interest(:on_orders=>false, :on_holdings=>true)
    if ai > 0 then %>
    Interest of <%=smr_humanize ai%> <%=@position.currency%> has accrued as of today.
    <% end %>

    <%= if @position.is_closed? then
        'It will be closed as of %s.' % @position.time_closed
    elsif @position.collateral_coverage_value > 0
        'It provides %s %s collateral coverage for lending.' % [ smr_humanize(@position.collateral_coverage_value), @position.currency ]
    end %>
    </p>
    <div id="overview">
     <div><div>
      <%= render :partial=>'portrait/security_quote', :locals=>{:security=>@position.security, :smr_position=>@position} %>
      <%= render :partial=>'overview_gain', :locals=>{:smr_position=>@position} %>
      <%= render :partial=>'overview_cashflow', :locals=>{:smr_position=>@position} if @position.security.has_type_model? and not @position.cashflow.empty? %>
     </div></div>
    </div>
<% end %>

<% if @position.has_pending_orders? %>
<h2>Pending Orders</h2>
<table id="pending_orders">
    <thead>
    <tr>
        <th></th>
        <th>Order</th>
        <th>Actions</th>
    </tr>
    </thead>
    <tbody>
<% @position.pending_orders.reverse.each do |o| %>
    <tr class="separaterows">
        <td><%= link_to '#%s' % o.id, o.link.to_url %></td>
        <td>
            <%=o.type%> <%= smr_humanize(o.shares) %> shares at <%=o.limit%>
            <span>issued at <%=smr_humanize(o.time_issued)%>, expires at <%=smr_humanize(o.time_expire)%></span>
            <% if not o.comment.empty? %><span class="comment_text"><%=o.comment%></span><% end %>
            <%= if o.has_document? then link_to 'doc', {:id=>o.id_document, :controller=>'documents', :action=>'download'} end %>
        </td>
        <td>
            <%= label_tag 'execute_quote', 'execute using quote:' %>
            <%= form_tag(controller: 'position', action: 'execute_order', method: "post") do %>
                <%= hidden_field_tag 'id', @position.id %>
                <%= hidden_field_tag 'id_order',  o.id %>
                <%= number_field_tag 'execute_quote', o.limit, {step: 0.0001} %>
                at <%= datetime_field_tag 'execute_time', smr_humanize(Time.now, :date_with_time=>true) %> <%= submit_tag 'Do' %>
            <% end %>
            <%= form_tag(controller: 'position', action: 'cancel_order', method: "post") do %>
                <%= hidden_field_tag 'id', @position.id %>
                <%= hidden_field_tag 'id_order',  o.id %>
                <%= submit_tag 'Cancel this order' %>
            <% end %>
        </td>
    </tr>
<% end %>
    </tbody>
</table>
<% end %>

<% if not @position.is_new? %>
<h2>Executed Orders</h2>
<table id='executed_orders'>
    <thead>
    <tr>
        <th></th>
        <th>Order</th>
        <th>Volume Traded</th>
        <th>Shares held after Trade</th>
        <th>Charges</th>
      <% if not @position.is_closed? or @position.is_viewed_before_closure? %>
        <th>Current potential Profit/Loss</th>
      <% end %>
    </tr>
    </thead>
    <tbody>
<% @position.revisions.reverse.each do |pr| %>
    <% next if pr.id_order==0  # skip old-style first emtpy revision %>
    <tr class="separaterows">
        <td>
            <%= link_to '#%s' % pr.id_order, pr.Order.link.to_url %>
            <span>at <%=smr_humanize pr.time_created %></span></td>
        <td>
            <%=pr.Order%>
            <% if not pr.Order.comment.blank? %><span class="comment_text"><%=pr.Order.comment%></span><% end %>
            <%= if pr.Order.has_document? then link_to 'doc', {:id=>pr.Order.id_document, :controller=>'documents', :action=>'download'} end %>
        </td>
        <td><%=smr_humanize(pr.Order.volume) %></td>
        <td><%= '%.4f' % pr.shares %></td>
        <td>
          <% if pr.Order.charges > 0 %>
            <%= smr_humanize(pr.Order.charges) %>
            <span><%='%.1f' % pr.Order.charges_per_kilo%> per 1k volume</span>
          <% else %>-
          <% end %>
        </td>
      <% if not @position.is_closed? or @position.is_viewed_before_closure? %>
        <td><%=smr_humanize(revision_profitloss(@position.last_quote.last, pr.Order.shares, pr.Order.quote)) %></td>
      <% end %>
    </tr>
<% end %>
    </tbody>
</table>
<% end %>

<% if not @position.is_new? and not @position.dividend.empty? %>
<h2>Dividend Log</h2>
<table id="dividend_log">
    <thead>
    <tr>
        <th>Ex-Date</th>
        <th>Paid by the Company</th>
        <th>Received</th>
        <th>Total</th>
        <th>Yield on Investment</th>
    </tr>
    </thead>
    <tbody>
    <% @position.dividend.payments.reverse.each do |d| %>
    <tr class="separaterows">
        <td><%= smr_humanize(d.exdate) %></td>
        <td><%= smr_humanize(d.paid) %></td>
        <td>
            <%= smr_humanize(d.received) %>
            <span class="comment_text">on <%= smr_humanize(d.shares) %> shares with valuta <%= smr_humanize(d.valutadate) %></span>
            <%= if d.has_order? and d.order.has_document? then link_to 'doc', {:id=>d.order.id_document, :controller=>'documents', :action=>'download'} end %>
        </td>
        <td><%= smr_humanize(d.received_total) %></td>
        <td><%= percentage_of(d.invested, d.received_total) %></td>
    </tr>
    <% end %>
    </tbody>
</table>
<% end %>

<% unless @documents.empty? %>
<h2>Documents <em>Uploaded or assigned to this position.</em></h2>
<%=
render :partial=>'documents/filelist',
    locals: {
        :page=>@page, :total_pages=>@total_pages,
        :link_path=>documents_path,
        :collection=>@documents
    }
%>
<% end %>
